osl::eval::ml::NonPawnAttackedPtypePair Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
osl::eval::ml::NonPawnAttackedPtypePair Class Reference

`#include <minorPiece.h>`

Collaboration diagram for osl::eval::ml::NonPawnAttackedPtypePair:
[legend]

## Public Types
enum | { ONE_DIM = (PTYPE_SIZE * 2 * PTYPE_SIZE)*(PTYPE_SIZE * 2 * PTYPE_SIZE), DIM = ONE_DIM * EvalStages }

## Public Member Functions
template<osl::Player Owner>
osl::MultiInt | evalOne (const NumEffectState &state)

## Static Public Member Functions
static void | setUp (const Weights &weights)
template<Player Owner>
static MultiInt | evalOne (const NumEffectState &state)
static MultiInt | eval (const NumEffectState &state)
static int | index1 (const NumEffectState &state, Piece piece)
static int | index2 (int i0, int i1)

## Static Public Attributes
static CArray< MultiInt, ONE_DIM > | table

## Detailed Description

Definition at line 1350 of file minorPiece.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 1353 of file minorPiece.h.

## Member Function Documentation

osl::MultiInt osl::eval::ml::NonPawnAttackedPtypePair::eval | ( | const NumEffectState & | state) |  |
| static

Definition at line 1685 of file minorPiece.cc.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

template<Player Owner>

static MultiInt osl::eval::ml::NonPawnAttackedPtypePair::evalOne | ( | const NumEffectState & | state) |  |
| static

template<osl::Player Owner>

osl::MultiInt osl::eval::ml::NonPawnAttackedPtypePair::evalOne | ( | const NumEffectState & | state) |  |

Definition at line 1657 of file minorPiece.cc.

References osl::alt(), osl::BLACK, osl::PAWN, and result.

static int osl::eval::ml::NonPawnAttackedPtypePair::index1 | ( | const NumEffectState & | state,
|  | Piece | piece
| ) |  |
| inlinestatic

Definition at line 1361 of file minorPiece.h.

References osl::alt(), osl::Piece::owner(), osl::Piece::ptype(), osl::PTYPE_SIZE, and osl::Piece::square().

static int osl::eval::ml::NonPawnAttackedPtypePair::index2 | ( | int | i0,
|  | int | i1
| ) |  |
| inlinestatic

Definition at line 1370 of file minorPiece.h.

References osl::PTYPE_SIZE.

Referenced by osl::progress::ml::NewProgress::setUp().

void osl::eval::ml::NonPawnAttackedPtypePair::setUp | ( | const Weights & | weights) |  |
| static

Definition at line 1643 of file minorPiece.cc.

References osl::NStages, osl::PTYPE_SIZE, and osl::eval::ml::Weights::value().

## Member Data Documentation

osl::CArray< osl::MultiInt, 512 *512 > osl::eval::ml::NonPawnAttackedPtypePair::table
| static

Definition at line 1374 of file minorPiece.h.

The documentation for this class was generated from the following files:

- minorPiece.h
- minorPiece.cc